## miceamaze 1.8

=== Makefile ===
UNAME := $(shell uname)
INSTALL_ICONS=1
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
DATAPATH=${PREFIX}/share/miceamaze
MANPATH=${PREFIX}/share/man/man6
PIXPATH=${PREFIX}/share/pixmaps
MENUPATH=${PREFIX}/share/applications
ICONPATH=${PREFIX}/share/icons/hicolor/64x64/apps
CXXFLAGS+=-Wall -DDATAPATH=\"${DATAPATH}\" $(shell sdl-config --cflags)
LDLIBS=-Wall -lGLC -lSOIL $(shell sdl-config --libs)
ifeq ($(UNAME), Darwin)
  LDLIBS+=-framework OpenGL -lm
else
  LDLIBS+=-lGL -lm
endif
SVGCOMMAND=rsvg-convert
SVGOPTIONS=-w 500

OBJS := $(patsubst src/%.cpp,src/%.o,$(wildcard src/*.cpp))
BUILTDATA := data/images/eagle.png data/images/eagle2.png

all: miceamaze miceamaze.xpm miceamaze.png miceamaze.6.gz $(BUILTDATA)

miceamaze: $(OBJS)
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $(OBJS) $(LDLIBS) -o $@

miceamaze.xpm: data/images/mouse.png
	convert -scale 32x32 $^ $@

miceamaze.png: data/images/mouse.png
	convert -scale 64x64 $^ $@

miceamaze.6.gz: man/miceamaze.6
	gzip -nc $^ > $@

data/images/eagle2.png: src/data-sources/eagle2.svg
	$(SVGCOMMAND) $(SVGOPTIONS) $^ >$@

data/images/eagle.png: src/data-sources/eagle.svg
	$(SVGCOMMAND) $(SVGOPTIONS) $^ >$@

clean:
	rm -f miceamaze miceamaze.xpm miceamaze.png miceamaze.6.gz src/*.o $(BUILTDATA)

install: all
	install -d -m 755 ${DESTDIR}${DATAPATH}
	cp -R -L data/* ${DESTDIR}${DATAPATH}/
	install -D -m 755 miceamaze ${DESTDIR}${BINDIR}/miceamaze
	install -D -m 644 miceamaze.6.gz ${DESTDIR}${MANPATH}/miceamaze.6.gz
ifeq ($(INSTALL_ICONS), 1)
	install -D -m 644 miceamaze.desktop ${DESTDIR}${MENUPATH}/miceamaze.desktop
	install -D -m 644 miceamaze.png ${DESTDIR}${ICONPATH}/miceamaze.png
	install -D -m 644 miceamaze.xpm ${DESTDIR}${PIXPATH}/miceamaze.xpm
endif

uninstall:
	rm -rf ${DESTDIR}${DATAPATH}
	rm -f ${DESTDIR}${BINDIR}/miceamaze
	rm -f ${DESTDIR}${MANPATH}/miceamaze.6.gz
ifeq ($(INSTALL_ICONS), 1)
	rm -f ${DESTDIR}${MENUPATH}/miceamaze.desktop
	rm -f ${DESTDIR}${ICONPATH}/miceamaze.png
	rm -f ${DESTDIR}${PIXPATH}/miceamaze.xpm
endif

=== debian/changelog ===
miceamaze (1.8-1) unstable; urgency=low

  * New upstream release 1.8

 -- Raphael Champeimont <almacha@almacha.org>  Thu, 14 Mar 2013 18:51:05 +0100

miceamaze (1.7.1-4) unstable; urgency=low

  * DATAPATH changed to /usr/share/games/miceamaze
  * Upgrade to Standards-Version 3.9.4

 -- Raphael Champeimont <almacha@almacha.org>  Thu, 20 Dec 2012 20:00:00 +0100

miceamaze (1.7.1-3) unstable; urgency=low

  * Depend on RSVG for SVG to PNG conversion at build time
  * Makefile fixes (no Makefile patch any more)
  * New debian/rules
  * Update package description

 -- Raphael Champeimont <almacha@almacha.org>  Tue, 18 Dec 2012 20:00:00 +0100

miceamaze (1.6.1-1) unstable; urgency=low

  * Initial packaging for Debian. Closes: #693842
  * Render fonts at runtime using libglc
  * Depend on ttf-dejavu-core instead of providing the font
  * Install Debian menu and Freedesktop menu entries
  * Depdend on libsoil package instead of compiling it
  * Fix Makefile
  * Remove useless data files
  * Clarify data file licenses and add license to all source files
  * Support getpwuid() for getting home directory
  * Add watch file

 -- Raphael Champeimont <almacha@almacha.org>  Thu, 6 Dec 2012 20:00:00 +0100

=== debian/control ===
Source: miceamaze
Maintainer: Raphael Champeimont <almacha@almacha.org>
Section: games
Priority: optional
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 9),
 imagemagick,
 libglc-dev,
 librsvg2-bin,
 libsdl1.2-dev,
 libsoil-dev,
 mesa-common-dev
Homepage: http://www.miceamaze.org/

Package: miceamaze
Architecture: any
Depends:
 ttf-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Description: video game with mice in a maze
 MiceAmaze is a video game that features a maze with mice and snakes.
 The goal is to bring the most mice to your house by placing arrows on the
 maze floor. But beware the snakes that want to eat them!

## miceamaze 4.2.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 MENUPATH=${PREFIX}/share/applications
 ICONPATH=${PREFIX}/share/icons/hicolor/64x64/apps
 CXXFLAGS+=-Wall -DDATAPATH=\"${DATAPATH}\" $(shell sdl-config --cflags)
-LDLIBS=-Wall -lGLC -lSOIL $(shell sdl-config --libs)
+LDLIBS=-Wall -lGLC -lSOIL $(shell sdl-config --libs) -lSDL_mixer
 ifeq ($(UNAME), Darwin)
   LDLIBS+=-framework OpenGL -lm
 else
@@ -29,7 +29,7 @@
 	convert -scale 32x32 $^ $@
 
 miceamaze.png: data/images/mouse.png
-	convert -scale 64x64 $^ $@
+	convert -scale 64x64 $^ +set date:create +set date:modify -define png:exclude-chunk=time $@
 
 miceamaze.6.gz: man/miceamaze.6
 	gzip -nc $^ > $@
@@ -63,3 +63,5 @@
 	rm -f ${DESTDIR}${ICONPATH}/miceamaze.png
 	rm -f ${DESTDIR}${PIXPATH}/miceamaze.xpm
 endif
+
+re: clean all

=== debian/changelog ===
miceamaze (4.2.1-2) unstable; urgency=low

  * Upload to unstable now that the freeze is over

 -- Raphael Champeimont <almacha@almacha.org>  Mon, 04 May 2015 20:08:00 +0200

miceamaze (4.2.1-1) experimental; urgency=low

  * New upstram release 4.2 (Closes: #766820)
    - Remove creation timestamp in PNG generation (Closes: #778491)
  * Bump Standards-Version, no changes needed

 -- Raphael Champeimont <almacha@almacha.org>  Mon, 16 Feb 2015 14:18:29 +0100

miceamaze (3.0-1) unstable; urgency=low

  * New upstream release 3.0

 -- Raphael Champeimont <almacha@almacha.org>  Tue, 17 Dec 2013 12:49:28 +0100

miceamaze (1.8-2) unstable; urgency=low

  * Change priority to extra (more appropriate according to debian policy)

 -- Raphael Champeimont <almacha@almacha.org>  Mon, 18 Mar 2013 15:45:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: miceamaze
 Maintainer: Raphael Champeimont <almacha@almacha.org>
 Section: games
-Priority: optional
-Standards-Version: 3.9.4
+Priority: extra
+Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9),
  imagemagick,
  libglc-dev,
  librsvg2-bin,
  libsdl1.2-dev,
+ libsdl-mixer1.2-dev,
  libsoil-dev,
  mesa-common-dev
 Homepage: http://www.miceamaze.org/
@@ -16,7 +17,7 @@
 Package: miceamaze
 Architecture: any
 Depends:
- ttf-dejavu-core,
+ fonts-dejavu-core | ttf-dejavu-core,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: video game with mice in a maze

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr BINDIR=/usr/games DATAPATH=/usr/share/games/miceamaze

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr BINDIR=/usr/games DATAPATH=/usr/share/games/miceamaze

## miceamaze 4.2.2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 SVGCOMMAND=rsvg-convert
 SVGOPTIONS=-w 500
 
-OBJS := $(patsubst src/%.cpp,src/%.o,$(wildcard src/*.cpp))
+OBJS := $(sort $(patsubst src/%.cpp,src/%.o,$(wildcard src/*.cpp)))
 BUILTDATA := data/images/eagle.png data/images/eagle2.png
 
 all: miceamaze miceamaze.xpm miceamaze.png miceamaze.6.gz $(BUILTDATA)

=== debian/changelog ===
miceamaze (4.2.2-3) unstable; urgency=medium

  * Team Upload
  * Add Breaks & Replace for a smooth upgrade (Closes: #1111460)
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Tue, 26 Aug 2025 06:36:00 +0200

miceamaze (4.2.2-2) unstable; urgency=medium

  * Remove Sarah COUDERT from Uploaders since mail address is bouncing

 -- Andreas Tille <tille@debian.org>  Sun, 03 Aug 2025 15:51:26 +0200

miceamaze (4.2.2-1) experimental; urgency=medium

  * Maintain package in Debian Games team
    Closes: #1105814
  * New upstream version
    Closes: #1090856
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Trim trailing whitespace.
  * Mark debian/rules as executable.
  * Drop no longer supported add-log-mailing-address setting from d/changelog
  * Use secure URI in Homepage field.
  * Replace XC-Package-Type with Package-Type.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * watch file standard 4 (routine-update)
  * Secure URI in watch file
  * Drop debian/menu since upstream provides desktop file
  * Split architecture independent data into separate binary package
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Thu, 15 May 2025 09:52:45 +0200

miceamaze (4.2.1-3) unstable; urgency=low

  * Change maintainer to Sarah COUDERT
  * Apply patch sent by Reiner Herrmann (Closes: #825634)
  * Bump Standards-Version, no changes needed

 -- Sarah COUDERT <sarah.coudert@student.42.fr>  Sun, 05 Jun 2016 14:12:00 +0200

=== debian/control ===
Source: miceamaze
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               imagemagick,
               libglc-dev,
               librsvg2-bin,
               libsdl1.2-dev,
               libsdl-mixer1.2-dev,
               libsoil-dev,
               mesa-common-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/miceamaze
Vcs-Git: https://salsa.debian.org/games-team/miceamaze.git
Homepage: https://www.miceamaze.org/

Package: miceamaze
Architecture: any
Depends: fonts-dejavu-core,
         miceamaze-data,
         ${misc:Depends},
         ${shlibs:Depends}
Description: video game with mice in a maze
 MiceAmaze is a video game that features a maze with mice and snakes.
 The goal is to bring the most mice to your house by placing arrows on the
 maze floor. But beware the snakes that want to eat them!

Package: miceamaze-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: miceamaze-data (<< 4.2.2-2~)
Replaces: miceamaze-data (<< 4.2.2-2~)
Description: video game with mice in a maze (data)
 MiceAmaze is a video game that features a maze with mice and snakes.
 The goal is to bring the most mice to your house by placing arrows on the
 maze floor. But beware the snakes that want to eat them!
 .
 This package contains data like images, sounds and mazes.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr BINDIR=/usr/games DATAPATH=/usr/share/games/miceamaze

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr BINDIR=/usr/games DATAPATH=/usr/share/games/miceamaze

=== debian/watch ===
version=4
https://www.miceamaze.org/source-packages/miceamaze-([\\.0-9]+).tar.gz
